#include<bits/stdc++.h>
using namespace std;
int n,a;
int rez,br;
map <int,int> mapa;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cin>>n;
    while(n--){
        cin>>a;
        for(int i = 1; i <= a; i++){
        if(i == 100) mapa[100]++;
        else if(i <= 9){
            rez = i%10;
            mapa[rez]++;
        }
        else{
        rez = (i/10)*(i%10);
        mapa[rez]++;
        }
    }
    for(map<int,int>::iterator it=mapa.begin(); it!=mapa.end();it++){
        if(it->second >= 1) br++;
        }
        cout<<br<< endl;
        br = 0;
        mapa.clear();
    }

    return 0;
}